import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

enum ThemeModeType {
  system,
  light,
  dark;

  ThemeMode toThemeMode() {
    switch (this) {
      case ThemeModeType.system:
        return ThemeMode.system;
      case ThemeModeType.light:
        return ThemeMode.light;
      case ThemeModeType.dark:
        return ThemeMode.dark;
    }
  }

  static ThemeModeType fromIndex(int index) => ThemeModeType.values[index];
}

